Si è verificato un errore, eseguire il gestore pacchetti

16

Ho appena aggiornato il mio portatile Dell Inspiron 1545 da Ubuntu dal 12.04 al 13.04. Sfortunatamente la barra in alto ora ha un piccolo cerchio rosso con un segno meno. Quando faccio clic, apre una finestra con il seguente messaggio:

  

Si è verificato un errore, per favore avvia Gestione pacchetti facendo clic con il tasto destro del mouse sulla finestra del tasto destro o su apt-get in un terminale per vedere cosa c'è di sbagliato. Il messaggio di errore era: 'Errore sconosciuto:' '(E: Il pacchetto google-chrome-stable deve essere reinstallato, ma non riesco a trovare un archivio per questo.) "Questo di solito significa che hai & gt; pacchetti installati con dipendenze non soddisfatte

Non ho molta esperienza con Ubuntu, o Linux in generale, e non so cosa significhi. Mi sembrava una specie di errore di Google Chrome. Ho scaricato e installato google chrome solo pochi minuti prima. Ho eseguito apt-get nel terminale ma non ha fatto nulla, e non avevo idea di cosa significasse il Gestore pacchetti dalla finestra del clic destro. Google Chrome e il geany ide sono gli unici software che ho installato da quando ho installato Linux. Il computer sembra funzionare perfettamente bene. Hai qualche suggerimento su cosa dovrei fare?

I risultati di: sudo apt-get -f install sono:

  

E: Il pacchetto google-chrome-stable deve essere reinstallato, ma non riesco a trovare un archivio per questo.

    
posta James 27.05.2013 - 03:11
fonte

3 risposte

5

Sembra che google-chrome-stable abbia rotto il tuo sistema per qualche motivo. Prova questo: Apri la finestra del terminale

Ctrl+Alt+T

Allora ecco i comandi di tipo (dopo ogni tipo di comando inserisci e rispondi si alle domande)

sudo apt-get remove google-chrome-stable 

Quindi aggiorna il sistema tramite

sudo apt-get update && sudo apt-get upgrade

Lascia apt-get run e se c'è qualche errore post come commento qui e ti aiuterò (o chiunque sia disponibile)

Se i comandi falliscono, puoi provare questi: Aggiorna pacchetti

sudo apt-get update

pulisci i pacchetti scaricati (dove potrebbero esserci quelli danneggiati)

sudo apt-get clean

Rimuovere i pacchetti non necessari (attenzione! Se potrebbe elencare qualcosa che è necessario ma la sua dipendenza o tale è stata rimossa e lasciata orfana)

sudo apt-get autoremove

Riconfigura tutti i pacchetti

sudo dpkg --configure -a

Correggi i pacchetti danneggiati

sudo apt-get install -f
    
risposta data Stefano Mtangoo 27.05.2013 - 21:30
fonte
2

La rimozione dell'elenco dei pacchetti e l'aggiornamento hanno risolto il problema per me

Apri il terminale: Ctrl + Alt + T

Rimuovi l'elenco dei pacchetti:

sudo rm -vf /var/lib/apt/lists/*
  • -v, --verbose spiega cosa si sta facendo

  • -f, --force ignora file e argomenti inesistenti, mai prompt

Aggiorna i pacchetti:

sudo apt-get update
    
risposta data Deepak Mahakale 16.08.2016 - 08:38
fonte
1

Risolve il problema con Software Center

Quando ho riscontrato lo stesso problema (non sono sicuro quale applicazione abbia causato il problema), in esecuzione Centro software mi ha dato la possibilità di riparare le dipendenze (in effetti mi ha costretto a farlo perché sarebbe stato " impossibile installare altro software fino a quando il problema non è stato risolto '). Ha funzionato senza problemi e il segno di errore nell'area di notifica è scomparso.

    
risposta data ajo 29.11.2013 - 20:27
fonte

Leggi altre domande sui tag